Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356313 - rubygem-exception_notification-4.2.1 is available
Summary: rubygem-exception_notification-4.2.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-exception_notification
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 00:13 UTC by Upstream Release Monitoring
Modified: 2016-08-27 10:23 UTC (History)
2 users (show)

Fixed In Version: rubygem-exception_notification-4.2.1-1.fc26 rubygem-exception_notification-4.2.1-1.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:23:02 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-07-14 00:13 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-07-18 00:13 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.2.1 (deleted)
2016-08-09 15:46 UTC, Jun Aruga
no flags Details | Diff

Description Upstream Release Monitoring 2016-07-14 00:13:40 UTC
Latest upstream release: 4.2.0
Current version/release in rawhide: 4.1.4-2.fc24
URL: http://rubygems.org/gems/exception_notification

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4549/

Comment 1 Upstream Release Monitoring 2016-07-14 00:13:53 UTC
Patching or scratch build for rubygem-exception_notification-4.1.4 failed.

Comment 2 Upstream Release Monitoring 2016-07-14 00:13:54 UTC
Created attachment 1179504 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-07-14 00:13:55 UTC
Patches were not touched. All were applied properly

Comment 4 Upstream Release Monitoring 2016-07-18 00:12:49 UTC
Latest upstream release: 4.2.1
Current version/release in rawhide: 4.1.4-2.fc24
URL: http://rubygems.org/gems/exception_notification

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4549/

Comment 5 Upstream Release Monitoring 2016-07-18 00:13:00 UTC
Patching or scratch build for rubygem-exception_notification-4.1.4 failed.

Comment 6 Upstream Release Monitoring 2016-07-18 00:13:01 UTC
Created attachment 1180866 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 7 Upstream Release Monitoring 2016-07-18 00:13:02 UTC
Following patches has been deleted:
['cmark-lib64.patch']

Comment 8 Upstream Release Monitoring 2016-07-18 00:13:03 UTC
Following patches has been modified:
['/var/tmp/thn-rhWjzolx/rebase-helper-results/cmark-lib64.patch']

Comment 9 Jun Aruga 2016-08-09 14:07:32 UTC
I will take this to fix current version's broken dependency, and update to latest version!

Comment 10 Jun Aruga 2016-08-09 15:46:03 UTC
Created attachment 1189326 [details]
Update to 4.2.1

Hi, I will upload a patch to update latest version 4.2.1. and also fix current version Broken dependency, and support Rails 5.

```
[rubygem-exception_notification]
  rubygem-exception_notification-4.1.4-2.fc24.noarch requires rubygem(actionmailer) < 0:5
  rubygem-exception_notification-4.1.4-2.fc24.noarch requires rubygem(activesupport) < 0:5
```

As I needed to re-created 5 patch files that you had created, I used another way to fix it such as sed command.
It may be not reliable than patch mechanism.
However I do not wanted to update the 5 patch files after each version up.

Of course you can update it based on this patch.

Could you check it?

Thanks.

Comment 11 Jun Aruga 2016-08-10 08:49:03 UTC
> Hi, I will upload a patch to update latest version 4.2.1. and also fix
> current version Broken dependency, and support Rails 5.

I did upload on above actually.

Comment 12 Upstream Release Monitoring 2016-08-18 11:59:18 UTC
jaruga's rubygem-exception_notification-4.2.1-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=792863

Comment 13 Jun Aruga 2016-08-18 12:17:41 UTC
I think this ticket should be closed for below duplicated ticket.
https://bugzilla.redhat.com/show_bug.cgi?id=1356313

Comment 14 Jun Aruga 2016-08-18 12:18:58 UTC
(In reply to Jun Aruga from comment #13)
> I think this ticket should be closed for below duplicated ticket.
> https://bugzilla.redhat.com/show_bug.cgi?id=1356313

Sorry my mistake.

Comment 15 Fedora Update System 2016-08-18 12:19:41 UTC
rubygem-exception_notification-4.2.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-92a6fa1e75

Comment 16 Fedora Update System 2016-08-18 16:54:02 UTC
rubygem-exception_notification-4.2.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-92a6fa1e75

Comment 17 Fedora Update System 2016-08-27 10:22:59 UTC
rubygem-exception_notification-4.2.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.